#stuff #content .musicPlayer
{
    position: relative;
    display: block;
    min-height: 10em;
}

#stuff #content .musicPlayer .mainContainer
{
    display: block;
}

#stuff #content .musicPlayer .mainContainer .playContainer
{
    position: relative;
    display: inline-block;
    vertical-align: top;
    margin-right: 1em;
}

#stuff #content .musicPlayer #playButton
{
    width: 6em;
    height: 6em;
    display: inline-block;

    border: #EA68E7 solid 0.5em;
    border-radius: 0.5em;
    background-color: #EA68E7 !important;
    padding: 0;
    margin: 0;
    cursor: pointer;

    /* Hide text */
    text-indent: -9999%;
    white-space: nowrap;
    overflow: hidden;
}

#stuff #content .musicPlayer #playButton:hover
{
    background-color: #9C7BE5 !important;
    border: #9C7BE5 solid 0.5em;
}

#stuff #content .musicPlayer #playButton:disabled
{
    background-color: #9D9D9D !important;
    border: #9D9D9D solid 0.5em;
    cursor: default;
}

#stuff #content .musicPlayer #playIcon
{
    position: absolute;
    top: 1.25em;
    left: 1.5em;

    border-top: 1.25em solid transparent;
    border-left: 2.25em solid #2A2D5E;
    border-bottom: 1.25em solid transparent;

    pointer-events: none;
}

#stuff #content .musicPlayer #pauseIcon 
{
    position: absolute;
    top: 1.25em;
    left: 1.5em;

    height: 2.5em;
    border-width: 0 0 0 2em;
    border-style: double;
    border-color: #2A2D5E;

    pointer-events: none;
}

#stuff #content .musicPlayer .mainContainer .playStatsContainer
{
    display: inline-block;
    vertical-align: top;
    width: calc(100% - 6.5em);
}

#stuff #content .musicPlayer #musicTitle
{
    display: block;
    height: 1.4em;
    line-height: 1.5em;
    overflow: hidden;

    font-size: 2em;
    font-weight: bold;
    text-decoration: none;
    
    color: #BABCEB;
    text-shadow: 1px 1px #EA68E7;
}

#stuff #content .musicPlayer .mainContainer .progressContainer
{
    display: block;
    width: 100%;
    height: 2em;
    line-height: 2em;
}

#stuff #content .musicPlayer .mainContainer .progressContainer #progressBar
{
    display: inline-block;
    width: calc(100% - 8em);
    margin: 0;
    vertical-align: middle;
}

input[type=range]
{
    -webkit-appearance: none;
    background: transparent;
}

input[type=range]:focus
{
    outline: none;
}

input[type=range]::-webkit-slider-runnable-track
{
    cursor: pointer;
    background: #9C7BE5;
    height: 8px;
    border-radius: 4px;
}

input[type=range]::-webkit-slider-thumb {
    cursor: pointer;
    height: 25px;
    width: 25px;
    border-width: 0px;
    border-radius: 25px;
    background: #EA68E7;
    -webkit-appearance: none;
    margin-top: -8px;
}

input[type=range]:focus::-webkit-slider-runnable-track {
    background: #9C7BE5;
}

input[type=range]::-moz-range-track {
    cursor: pointer;
    background: #9C7BE5;
    height: 8px;
    border-radius: 4px;
}

input[type=range]::-moz-range-thumb {
    cursor: pointer;
    height: 25px;
    width: 25px;
    border-width: 0px;
    border-radius: 25px;
    background: #EA68E7;
}

input[type=range]::-ms-track {
    cursor: pointer;
    background: transparent;
    border-color: transparent;
    color: transparent;
}

input[type=range]::-ms-fill-lower {
    background: #9C7BE5;
}

input[type=range]::-ms-fill-upper {
    background: #9C7BE5;
}

input[type=range]::-ms-thumb {
    cursor: pointer;
    margin-top: 1px;
    height: 25px;
    width: 25px;
    border-width: 0px;
    border-radius: 25px;
    background: #EA68E7;
}

input[type=range]:focus::-ms-fill-lower {
    background: #9C7BE5;
}

input[type=range]:focus::-ms-fill-upper {
    background: #9C7BE5;
}

#stuff #content .musicPlayer .mainContainer .progressContainer #timestamp
{
    display: inline-block;
    width: 6em;
    vertical-align: middle;

    font-size: 1em;
    text-align: right;
}

#stuff #content .musicPlayer .detailsContainer
{
    /*display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    align-content: center;*/

    width: 100%;
    min-height: 4em;
    margin-top: 0.5em;
}

#stuff #content .musicPlayer .detailsContainer #infoContainer
{
    display: block;
}

#stuff #content .musicPlayer .detailsContainer #linksContainer
{
    display: block;
    float: right;
}

#stuff #content .musicPlayer .detailsContainer #linksContainer span
{
    display: inline-block;
}

#stuff #content .musicPlayer .detailsContainer #linksContainer .button
{
    width: 2.2em;
    height: 2.2em;
    display: inline-block;
    border: #EA68E7 solid 0.3em;
    border-radius: 0.25em;
    margin: 0 0.3em;
    background-color: #EA68E7 !important;

    /* Hide text */
    text-indent: -9999%;
    white-space: nowrap;
    overflow: hidden;
}

#stuff #content .musicPlayer .detailsContainer #linksContainer .button:hover
{
    background-color: #9C7BE5 !important;
    border-color: #9C7BE5;
}

#stuff #content .musicPlayer .detailsContainer #linksContainer #spacer
{
    width: 0;
    height: 1.15em;
    display: inline-block;
    border: #9C7BE5 solid 0.25em;
    border-radius: 0.25em;
    margin: 0.5em 0.3em;
    background-color: #9C7BE5 !important;
}

#stuff #content .musicPlayer .detailsContainer #linksContainer .download
{
    color: #2A2D5E;
    text-align: center;
    text-indent: 0% !important;
    text-decoration: none;
    font-weight: bold;
}

#stuff #content .musicPlayer .detailsContainer #linksContainer .downloadText
{
    position: relative;
    top: 50%; 
    transform: translateY(-55%);
    vertical-align: top;
}

#stuff #content .musicPlayer .detailsContainer #linksContainer .downloadText.short
{
    font-size: 110%;
}

#stuff #content .musicPlayer .detailsContainer #linksContainer .downloadText.long
{
    font-size: 100%;
    left: -24%;
    transform: translateY(-55%) scaleX(69%);
}

#stuff #content .musicPlayer #filtersContainer
{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: flex-start;
    align-content: flex-start;

    width: 100%;
    margin-top: 1em;
    margin-bottom: 0.5em;
}

#stuff #content .musicPlayer #filtersContainer #filterTextbox
{
    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: auto;

    border: #9C7BE5 solid 0.5em;
    border-radius: 0.5em;
    background-color: #9C7BE5;
    color: #2A2D5E;
    padding: 0;

    font-size: inherit;
    font-family: inherit;
    height: 1.5em;
}

input::placeholder {
    font-style: italic;
    color: #2A2D5E;
    opacity: 0.75;
}

#stuff #content .musicPlayer #filtersContainer .filterButton
{
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: auto;

    display: block;

    height: 2.5em;
    margin-left: 0.5em;

    border: #EA68E7 solid 0.5em;
    border-radius: 0.5em;
    background-color: #EA68E7;
    color: #2A2D5E;
    padding: 0;

    font-size: inherit;
    font-family: inherit;
    font-weight: bold;
    overflow: hidden;
    cursor: pointer;
}

#stuff #content .musicPlayer #filtersContainer .filterButton:hover
{
    background-color: #9C7BE5 !important;
    border: #9C7BE5 solid 0.5em;
}

#stuff #content .musicPlayer #filtersContainer .filterButton.deselected
{
    background-color: #9D9D9D !important;
    border: #9D9D9D solid 0.5em;
}

#stuff #content .musicPlayer #filtersContainer .filterButton.deselected:hover
{
    background-color: #9C7BE5 !important;
    border: #9C7BE5 solid 0.5em;
}

#stuff #content #musicList
{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
    align-content: flex-start;

    margin-left: -0.5em;
    margin-right: -0.5em;
}

#stuff #content #musicList .musicItem
{
    display: block;
    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: auto;

    width: 12em;
    height: 4em;
    margin: 0.5em;

    border: #EA68E7 solid 0.5em;
    border-radius: 0.5em;
    background-color: #EA68E7;
    color: #2A2D5E;
    padding: 0;

    font-size: inherit;
    font-family: inherit;
    overflow: hidden;
    cursor: pointer;
}

#stuff #content #musicList .musicItem:hover
{
    background-color: #9C7BE5 !important;
    border: #9C7BE5 solid 0.5em;
}

#stuff #content #musicList .musicItem:disabled
{
    background-color: #9C7BE5 !important;
    border: #9C7BE5 solid 0.5em;
    cursor: default;
}

#stuff #content #musicList .musicItem.filteredOut
{
    visibility: collapse;
    display: none;
    height: 0;
}

#stuff #content #musicList .musicItem .name
{
    display: block;
    font-size: 1.2em;
    font-weight: bold;
    text-align: left;
    margin-bottom: 0.2em;
}

#stuff #content #musicList .musicItem .format
{
    display: block;
    font-size: 0.8em;
    text-align: left;
    margin-top: 0.2em;
}

#stuff #content #musicList .itemPadding
{
    display: block;
    flex-grow: 1;
    
    width: 12em;
    height: 0;
    margin: 0.5em;
}